## Class TSessionIterator

Description

Implements interfaces:

TSessionIterator class

TSessionIterator implements Iterator interface.

TSessionIterator is used by THttpSession. It allows THttpSession to return a new iterator for traversing the session variables.

- since: 3.0
- version: $Id: THttpSession.php 2429 2008-04-18 07:25:04Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/THttpSession.php (line 615)

Method Summary
TSessionIterator __construct (array 0)
mixed current ()
mixed key ()
void next ()
void rewind ()
boolean valid ()
Methods
Constructor __construct (line 630)

Constructor.

- access: public

TSessionIterator __construct (array 0)

- array 0: the data to be iterated through

current (line 659)

Returns the current array element.

This method is required by the interface Iterator.

- return: the current array element
- access: public

mixed current ()
key (line 649)

Returns the key of the current array element.

This method is required by the interface Iterator.

- return: the key of the current array element
- access: public

mixed key ()
next (line 668)

Moves the internal pointer to the next array element.

This method is required by the interface Iterator.

- access: public

void next ()
rewind (line 639)

Rewinds internal array pointer.

This method is required by the interface Iterator.

- access: public

void rewind ()
valid (line 682)

Returns whether there is an element at current position.

This method is required by the interface Iterator.

- access: public

boolean valid ()

Documentation generated on Mon, 21 Apr 2008 11:35:11 -0400 by phpDocumentor 1.3.0RC4